Package commoble.jumbofurnace.jumbo_furnace

# Class JumboFurnaceCoreBlockEntity

java.lang.Object
net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>
net.minecraft.world.level.block.entity.BlockEntity
commoble.jumbofurnace.jumbo_furnace.JumboFurnaceCoreBlockEntity

All Implemented Interfaces:
  `net.minecraftforge.common.capabilities.ICapabilityProvider`, `net.minecraftforge.common.capabilities.ICapabilityProviderImpl<net.minecraft.world.level.block.entity.BlockEntity>`, `net.minecraftforge.common.capabilities.ICapabilitySerializable<net.minecraft.nbt.CompoundTag>`, `net.minecraftforge.common.extensions.IForgeBlockEntity`, `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`

public class JumboFurnaceCoreBlockEntity extends net.minecraft.world.level.block.entity.BlockEntity

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraftforge.common.capabilities.CapabilityProvider

`net.minecraftforge.common.capabilities.CapabilityProvider.AsField<B extends net.minecraftforge.common.capabilities.ICapabilityProviderImpl<B>>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BURN_TIME`
`static final String`
`BURN_VALUE`
`int`
`burnTimeRemaining`
`ClaimableRecipeWrapper`
`cachedRecipes`
`boolean`
`canConsumeFuel`
`static final String`
`COOK_PROGRESS`
`int`
`cookProgress`
`final net.minecraftforge.items.ItemStackHandler`
`fuel`
`static final String`
`FUEL`
`final net.minecraftforge.common.util.LazyOptional<net.minecraftforge.items.IItemHandler>`
`fuelOptional`
`final InputItemHandler`
`input`
`static final String`
`INPUT`
`final net.minecraftforge.common.util.LazyOptional<net.minecraftforge.items.IItemHandler>`
`inputOptional`
`boolean`
`isRoomToCook`
`int`
`lastItemBurnedValue`
`static final String`
`MULTIPROCESS_UPGRADES`
`final MultiprocessUpgradeHandler`
`multiprocessUpgradeHandler`
`boolean`
`needsFuelUpdate`
`boolean`
`needsOutputUpdate`
`boolean`
`needsRecipeUpdate`
`final OutputItemHandler`
`output`
`static final String`
`OUTPUT`
`final net.minecraftforge.common.util.LazyOptional<net.minecraftforge.items.IItemHandler>`
`outputOptional`
`static final net.minecraft.world.level.block.entity.BlockEntityTicker<JumboFurnaceCoreBlockEntity>`
`SERVER_TICKER`

### Fields inherited from class net.minecraft.world.level.block.entity.BlockEntity

`level, remove, worldPosition`

### Fields inherited from interface net.minecraftforge.common.extensions.IForgeBlockEntity

`INFINITE_EXTENT_AABB`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`JumboFurnaceCoreBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends JumboFurnaceCoreBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`checkIfCanConsumeFuel()`
`boolean`
`checkIfRoomToCook()`
`void`
`consumeFuel()`
`void`
`craft()`
`static JumboFurnaceCoreBlockEntity`
`create(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`int`
`getBurnConsumption()`
`int`
`getMaxSimultaneousRecipes()`
`void`
`invalidateCaps()`
`boolean`
`isBurning()`
`void`
`load(net.minecraft.nbt.CompoundTag compound)`
`void`
`markFuelInventoryChanged()`
`void`
`markInputInventoryChanged()`
`void`
`markOutputInventoryCHanged()`
`void`
`onFuelInventoryChanged()`
`void`
`onInputInventoryChanged()`
`void`
`onOutputInventoryChanged()`
`void`
`saveAdditional(net.minecraft.nbt.CompoundTag compound)`
`protected void`
`serverTick()`
`void`
`setChanged()`
`void`
`updateBurningBlockstates(boolean burning)`
`void`
`updateFuel()`
`void`
`updateOutput()`
Called at the start of a tick when the output inventory has changed, or if the recipe cache has updated
`void`
`updateRecipes()`
Called at the start of a tick when the input inventory has changed

### Methods inherited from class net.minecraft.world.level.block.entity.BlockEntity

`addEntityType, clearRemoved, fillCrashReportCategory, getBlockPos, getBlockState, getLevel, getPersistentData, getPosFromTag, getType, getUpdatePacket, getUpdateTag, hasLevel, isRemoved, loadStatic, onChunkUnloaded, onlyOpCanSetNbt, saveToItem, saveWithFullMetadata, saveWithId, saveWithoutMetadata, setBlockState, setChanged, setLevel, setRemoved, triggerEvent`

### Methods inherited from class net.minecraftforge.common.capabilities.CapabilityProvider

`areCapsCompatible, areCapsCompatible, deserializeCaps, gatherCapabilities, gatherCapabilities, gatherCapabilities, getCapabilities, getCapability, reviveCaps, serializeCaps`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.capabilities.ICapabilityProvider

`getCapability, getCapability`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlockEntity

`deserializeNBT, getModelData, getRenderBoundingBox, handleUpdateTag, hasCustomOutlineRendering, onDataPacket, onLoad, requestModelDataUpdate, serializeNBT`

## Field Details

### INPUT

public static final String INPUT

See Also:
  - Constant Field Values

### FUEL

public static final String FUEL

See Also:
  - Constant Field Values

### OUTPUT

public static final String OUTPUT

See Also:
  - Constant Field Values

### MULTIPROCESS_UPGRADES

public static final String MULTIPROCESS_UPGRADES

See Also:
  - Constant Field Values

### COOK_PROGRESS

public static final String COOK_PROGRESS

See Also:
  - Constant Field Values

### BURN_TIME

public static final String BURN_TIME

See Also:
  - Constant Field Values

### BURN_VALUE

public static final String BURN_VALUE

See Also:
  - Constant Field Values

### SERVER_TICKER

public static final net.minecraft.world.level.block.entity.BlockEntityTicker<JumboFurnaceCoreBlockEntity> SERVER_TICKER

### input

public final InputItemHandler input

### fuel

public final net.minecraftforge.items.ItemStackHandler fuel

### output

public final OutputItemHandler output

### multiprocessUpgradeHandler

public final MultiprocessUpgradeHandler multiprocessUpgradeHandler

### inputOptional

public final net.minecraftforge.common.util.LazyOptional<net.minecraftforge.items.IItemHandler> inputOptional

### fuelOptional

public final net.minecraftforge.common.util.LazyOptional<net.minecraftforge.items.IItemHandler> fuelOptional

### outputOptional

public final net.minecraftforge.common.util.LazyOptional<net.minecraftforge.items.IItemHandler> outputOptional

### burnTimeRemaining

public int burnTimeRemaining

### lastItemBurnedValue

public int lastItemBurnedValue

### cookProgress

public int cookProgress

### isRoomToCook

public boolean isRoomToCook

### canConsumeFuel

public boolean canConsumeFuel

### cachedRecipes

public ClaimableRecipeWrapper cachedRecipes

### needsRecipeUpdate

public boolean needsRecipeUpdate

### needsOutputUpdate

public boolean needsOutputUpdate

### needsFuelUpdate

public boolean needsFuelUpdate

## Constructor Details

### JumboFurnaceCoreBlockEntity

protected JumboFurnaceCoreBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<? extends JumboFurnaceCoreBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### create

public static JumboFurnaceCoreBlockEntity create(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### invalidateCaps

public void invalidateCaps()

Specified by:
  `invalidateCaps` in interface `net.minecraftforge.common.capabilities.ICapabilityProviderImpl<net.minecraft.world.level.block.entity.BlockEntity>`
Overrides:
  `invalidateCaps` in class `net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>`

### load

public void load(net.minecraft.nbt.CompoundTag compound)

Overrides:
  `load` in class `net.minecraft.world.level.block.entity.BlockEntity`

### saveAdditional

public void saveAdditional(net.minecraft.nbt.CompoundTag compound)

Overrides:
  `saveAdditional` in class `net.minecraft.world.level.block.entity.BlockEntity`

### getBurnConsumption

public int getBurnConsumption()

### isBurning

public boolean isBurning()

### updateBurningBlockstates

public void updateBurningBlockstates(boolean burning)

### markFuelInventoryChanged

public void markFuelInventoryChanged()

### onFuelInventoryChanged

public void onFuelInventoryChanged()

### markInputInventoryChanged

public void markInputInventoryChanged()

### onInputInventoryChanged

public void onInputInventoryChanged()

### markOutputInventoryCHanged

public void markOutputInventoryCHanged()

### onOutputInventoryChanged

public void onOutputInventoryChanged()

### getMaxSimultaneousRecipes

public int getMaxSimultaneousRecipes()

### updateRecipes

public void updateRecipes()
Called at the start of a tick when the input inventory has changed

### updateOutput

public void updateOutput()
Called at the start of a tick when the output inventory has changed, or if the recipe cache has updated

### checkIfRoomToCook

public boolean checkIfRoomToCook()

### updateFuel

public void updateFuel()

### checkIfCanConsumeFuel

public boolean checkIfCanConsumeFuel()

### serverTick

protected void serverTick()

### consumeFuel

public void consumeFuel()

### craft

public void craft()

### setChanged

public void setChanged()

Overrides:
  `setChanged` in class `net.minecraft.world.level.block.entity.BlockEntity`